--
--  File: C:\My Designs\Adder\SRC\Adder8.VHD
--  created by Design Wizard: 06/17/99 14:03:31
--
entity Adder8 is
    port (A, B: in bit_vector (7 downto 0);
		cin: in bit;
		Y: out bit_vector (7 downto 0);
		cout: out bit);
end Adder8;

architecture Structure of Adder8 is

component NBitAdder
	generic (N: positive := 8);
	port (A, B: in bit_vector (N-1 downto 0);
		cin: in bit;
		Y: out bit_vector (N-1 downto 0);
		cout: out bit);
end component;

begin
	Adder8:NBitAdder
	generic map (N => 8)
	port map (A => A,
			  B => B,
			  cin => cin,
			  Y => Y,
			  cout => cout);
end Structure;

configuration Default of Adder8 is
	for Structure
		for all:NBitAdder use entity Work.NBitAdder(Structure);
		end for;
	end for;
end Default;
